%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-method-override
Version:    2.3.8
Release:    3%{?dist}
Summary:    Provides faux HTTP method support for Connect
License:    MIT
URL:        https://github.com/expressjs/method-override
Source0:    https://github.com/expressjs/method-override/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(debug)
BuildRequires:  npm(methods)
BuildRequires:  npm(parseurl)
BuildRequires:  npm(vary)

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(supertest)
%endif

%description
%{summary}.


%prep
%autosetup -n method-override-%{version}
%nodejs_fixdep debug
%nodejs_fixdep methods


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/method-override
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/method-override

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
mocha --check-leaks --reporter spec test/
%endif


%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/method-override


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 2.3.8-2
- Fixdep debug and methods

* Thu Mar 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 2.3.8-1
- Update to 2.3.8

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
